Bug 1015415 - Incorrect language on fresh installation of MATE Desktop
Incorrect language on fresh installation of MATE Desktop
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 03:56 EDT by Michel Alexandre Salim
Modified: 2015-06-29 08:32 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:32:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2013-10-04 03:56:50 EDT
Description of problem:
On a minimal installation of Fedora 20, in the English (US) locale, to which I later do a 'yum groupinstall "MATE Desktop"', the desktop shows up with all strings localized to German

Version-Release number of selected component (if applicable):
mate-desktop-1.6.2-0.1.git81c245b.fc20.x86_64

How reproducible:
Untested

Steps to Reproduce:
1. Install Fedora 19 minimal
2. Use FedUp to install to Fedora 20 alpha, install all updates incl. updates-testing
3. yum groupinstall "MATE Desktop"
4. Login
5. Open terminal, echo $LANG

Actual results:
LANG is de_DE.utf8 within MATE, but en_US.utf8 on the virtual terminals

Expected results:
MATE's language should follow the system language

Additional info:
Comment 1 Michel Alexandre Salim 2013-10-04 05:26:16 EDT
Apologies for the wrong initial assignment, I've since worked out together with the MATE maintainers that the problem only occured when MATE is launched from within gdm -- starting from startx, it picked up the LANG setting set there.

There seems to be no way to override the GDM language setting, and GDM itself was displayed in English which is odd.
Comment 2 Michel Alexandre Salim 2013-10-04 05:45:35 EDT
And it gets weirder: switched to lightdm and the default language for my user (created during installation) is still German. I had to enable the language switcher and select English (US) once before it would default to that.

Is there a common configuration file that GDM and LightDM source to determine the default language for the user session?
Comment 3 Fedora End Of Life 2015-05-29 05:30:44 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 08:32:33 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.